.cont > * {
  margin: 15px 0;
}

.training-img {
  max-width: 100px;
  text-align: center;
  //height: 300px;
}

.display-img {
  width: 200px;
}

.preview-img {
  max-width: 400px;
  max-height: 200px;
}

.prediction-img {
  max-width: 600px;
}

.preview-card {
  width: 100%;
}

.preview-card-content {
  height: 300px;
  text-align: center;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: center;
  align-self: center;
  justify-content: space-evenly;
}

.controls-content {
  width: 100%;
  text-align: center;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: center;
  align-self: center;
  justify-content: space-evenly;
}

.stat {
  text-align: left;
}

.form-field {
  margin-left: 1em;
  margin-right: 1em;
}

.stats-header {
  width: 100%;
  margin-bottom: 2em;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
}

.statistics-container {
  width: 50%;
  text-align: left;
}

.preview-card-image-container {
  width: 100%;
}

.preview-card-statistics-container {
  //width: 30%;
  text-align: left;
}

.validation-image-container {
  width: 100%;
}

.validation-results-container {
  width: 100%;
  text-align: center;
}

.progress-bar-container {
  display: flex;
  width: 100%;
}

.prediction-card {
  width: 100%;
  margin-bottom: 2em;
}

.training-dataset-card {
  width: 100%;
}

.prediction-card-content {
  text-align: center;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: center;
  align-self: center;
  justify-content: center;
}

.radio-button-class {
  margin-left: 1em;
  margin-right: 1em;
}

.button-class {
  margin-top: 1em;
  margin-left: 1em;
  margin-right: 1em;
}


.dropper-zone {
  width: 100%;
  margin-bottom: 2em;
}

.button-container {
  width: 100%;
  text-align: center;
  margin-bottom: 2em;
}

.text-wrapper {
  display: table-cell;
  vertical-align: middle;
}

.wrapper {
  margin-top: 2em;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.training-set-preview {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-evenly;
  width: 100%;
}

.training-item-container {
  width: 125px;
  display: flex;
  flex-wrap: wrap;
  align-content: center;
  align-self: center;
  //justify-content: center;
}

.training-item-img-container {
  width: 100%;
  display: flex;
  align-content: center;
  align-self: center;
  justify-content: center;
}

.training-item-name-container {
  width: 100%;
  display: flex;
  align-content: center;
  align-self: center;
  justify-content: center;
}

.training-container-font {
  font-size: small;
}

.class-expansion-panel {
  width: 100%;
}

.class-expansion-panel-body {
  display: flex;
  flex-wrap: wrap;
}

.error-container {
  text-align: center;
  width: 100%;
}

.error-message {
  font-size: x-large;
  color: red;
  font-weight: bold;
}
